shishi_principal_default(3)

NAME
shishi_principal_default - API function

SYNOPSIS
#include <shishi.h>

const char * shishi_principal_default(Shishi * handle);

ARGUMENTS

Shishi * handle
    Shishi library handle created by shishi_init().

DESCRIPTION
The default principal name is the name in the environment variable USER, or LOGNAME for some systems, but it can be overridden by specifying the environment variable SHISHI_USER.

RETURN VALUE
Returns the default principal name used by the library. (Not a copy of it, so don't modify or deallocate it.)

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.